Package org.gitana.platform.client.support

# Interface Remote

All Known Implementing Classes:
  `RemoteImpl`

public interface Remote

Author:
  uzi

## Method Summary

Modifier and Type
Method
Description
`void`
`addCookie(org.apache.http.cookie.Cookie cookie)`
`void`
`addHeader(String name, String value)`
`Response`
`delete(String uri)`
`org.apache.http.HttpResponse`
`download(String uri)`
`byte[]`
`downloadBytes(String uri)`
`Response`
`get(String uri)`
`Response`
`get(String uri, Map<String,String> params)`
`org.apache.http.HttpResponse`
`getEx(String uri)`
`String`
`getString(String uri, Map<String,String> params)`
`Response`
`post(String uri)`
`Response`
`post(String uri, byte[] bytes, String mimetype)`
`Response`
`post(String uri, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Response`
`post(String uri, InputStream in, long length, String mimetype)`
`Response`
`post(String uri, Map<String,String> params)`
`Response`
`post(String uri, Map<String,String> params, byte[] bytes, String mimetype)`
`Response`
`post(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Response`
`post(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object, org.gitana.http.HttpPayload payload)`
Performs a multipart post.
`Response`
`post(String uri, Map<String,String> params, InputStream in, long length, String mimetype)`
`org.apache.http.HttpResponse`
`postData(String uri, InputStream in, long length, String mimetype)`
`org.apache.http.HttpResponse`
`postEx(String uri)`
`Response`
`put(String uri)`
`Response`
`put(String uri, byte[] bytes, String mimetype)`
`Response`
`put(String uri, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Response`
`put(String uri, InputStream in, long length, String mimetype)`
`Response`
`put(String uri, Map<String,String> params)`
`Response`
`put(String uri, Map<String,String> params, byte[] bytes, String mimetype)`
`Response`
`put(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Response`
`put(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object, org.gitana.http.HttpPayload payload)`
Performs a multipart put.
`Response`
`put(String uri, Map<String,String> params, InputStream in, long length, String mimetype)`
`void`
`setHeaders(Map<String,String> headers)`
`void`
`upload(String uri, byte[] bytes, String mimetype)`
`void`
`upload(String uri, byte[] bytes, String mimetype, String filename)`
`void`
`upload(String uri, InputStream in, long length, String mimetype)`
`void`
`upload(String uri, InputStream in, long length, String mimetype, String filename)`
`Response`
`upload(String uri, Map<String,String> params, org.gitana.http.HttpPayload... payloads)`
`Response`
`upload(String uri, org.gitana.http.HttpPayload... payloads)`

## Method Details

### addHeader

void addHeader(String name, String value)

### setHeaders

void setHeaders(Map<String,String> headers)

### get

Response get(String uri)

### get

Response get(String uri, Map<String,String> params)

### getString

String getString(String uri, Map<String,String> params)

### delete

Response delete(String uri)

### post

Response post(String uri)

### post

Response post(String uri, Map<String,String> params)

### post

Response post(String uri, com.fasterxml.jackson.databind.node.ObjectNode object)

### post

Response post(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object)

### post

Response post(String uri, byte[] bytes, String mimetype)

### post

Response post(String uri, Map<String,String> params, byte[] bytes, String mimetype)

### post

Response post(String uri, InputStream in, long length, String mimetype)

### post

Response post(String uri, Map<String,String> params, InputStream in, long length, String mimetype)

### postEx

org.apache.http.HttpResponse postEx(String uri)

### postData

org.apache.http.HttpResponse postData(String uri, InputStream in, long length, String mimetype)

### getEx

org.apache.http.HttpResponse getEx(String uri)

### post

Response post(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object, org.gitana.http.HttpPayload payload)
Performs a multipart post.

Parameters:
  `uri` -
  `params` -
  `object` -
  `payload` -
Returns:

### put

Response put(String uri)

### put

Response put(String uri, Map<String,String> params)

### put

Response put(String uri, com.fasterxml.jackson.databind.node.ObjectNode object)

### put

Response put(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object)

### put

Response put(String uri, byte[] bytes, String mimetype)

### put

Response put(String uri, Map<String,String> params, byte[] bytes, String mimetype)

### put

Response put(String uri, InputStream in, long length, String mimetype)

### put

Response put(String uri, Map<String,String> params, InputStream in, long length, String mimetype)

### put

Response put(String uri, Map<String,String> params, com.fasterxml.jackson.databind.node.ObjectNode object, org.gitana.http.HttpPayload payload)
Performs a multipart put.

Parameters:
  `uri` -
  `params` -
  `object` -
  `payload` -
Returns:

### upload

void upload(String uri, byte[] bytes, String mimetype) throws Exception

Throws:
  `Exception`

### upload

void upload(String uri, byte[] bytes, String mimetype, String filename) throws Exception

Throws:
  `Exception`

### upload

void upload(String uri, InputStream in, long length, String mimetype) throws Exception

Throws:
  `Exception`

### upload

void upload(String uri, InputStream in, long length, String mimetype, String filename) throws Exception

Throws:
  `Exception`

### upload

Response upload(String uri, org.gitana.http.HttpPayload... payloads) throws Exception

Throws:
  `Exception`

### upload

Response upload(String uri, Map<String,String> params, org.gitana.http.HttpPayload... payloads) throws Exception

Throws:
  `Exception`

### downloadBytes

byte[] downloadBytes(String uri) throws Exception

Throws:
  `Exception`

### download

org.apache.http.HttpResponse download(String uri) throws Exception

Throws:
  `Exception`

### addCookie

void addCookie(org.apache.http.cookie.Cookie cookie)